import { GraphQLField, GraphQLObjectType, GraphQLResolveInfo, GraphQLSchema } from "graphql";
export declare type GetFieldNameFunc = (field: GraphQLField<any, any>, type: GraphQLObjectType, schema: GraphQLSchema) => string | null;
export declare type FieldMaskPathsFromResolveInfoOptions = {
    /**
     * Get field name in field mask path.
     * If return `null`, this field is not included in field mask paths.
     */
    getFieldName?: GetFieldNameFunc;
};
/**
 * Create field mask paths from `GraphQLResolveInfo`.
 *
 * @param typename Name of GraphQL object type
 * @param info
 * @param opts
 * @returns field mask paths
 */
export declare function fieldMaskPathsFromResolveInfo(typename: string, info: GraphQLResolveInfo, opts?: FieldMaskPathsFromResolveInfoOptions): string[];
//# sourceMappingURL=fieldMaskPathsFromResolveInfo.d.ts.map